Subject: bug#45502: [PATCH] Prettier key bindings in NS menu entries

From: Mattias Engdegård <[email-masked]>
Date: Tue, 29 Dec 2020 15:41:03 +0100

29 dec. 2020 kl. 14.53 skrev Alan Third <[email-masked]>:

> Looks good. As I understand it GNUstep doesn't need this fix, so
> please make it Cocoa only.

Will do, but what do you mean by not needing it -- does it do any harm, given that GNUstep menus do not appear to be working anyway? I have no GNUstep system to try it on so I don't know if it will even build.

> There was a work-around for some problem related to waiting_for_input
> in the old menu code that was lost when I copied the code from
> xmenu.c, so I've put it back in and pushed to master. It looks like it
> fixes the crash here.

Thank you, that did it.

> There's also the problem that we allow setting the left and right
> modifiers separately, so option or command may not match both keys.

That's true. Maybe a hybrid like M-↓ or C-⌫ is still fine though since the symbols are very recognisable -- I'll give it a go.